@extends('layout.index')
@section('title','Route Add')
<!-- Dashboard Ecommerce start -->
@section('content')
<section>
   
    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
           <div class="col-12">
              <div class="card">
                 <div class="card-header w-100" >
                    <div class="content-header-left">
                       <div class="row breadcrumbs-top">
                          <div class="col-sm-12">
                             <h2 class="content-header-title float-left mb-0">Leave Management</h2>
                          </div>
                       </div>
                    </div>
                    <div class="d-flex justify-content-end breadcrumb-wrapper">
                       <nav aria-label="breadcrumb">
                          <ol class="breadcrumb mr-1">
                             <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                             <li class="breadcrumb-item">Route Master</li>
                             <li class="breadcrumb-item active" aria-current="page">Add</li>
                          </ol>
                       </nav>
                    </div>
                 </div>
              </div>
           </div>
        </div>
        <!-- Bordered table end -->
     </div>

    @if ($success != '')
        <div class="demo-spacing-0 mb-1">
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <div class="alert-body">
                    {{-- <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> --}}
                        {{ $success }}
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                </div>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
        </div>
    @endif
    @if ($error != '' )
        <div class="demo-spacing-0 mb-1">
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <div class="alert-body">
                    {{-- <i class="fa fa-exclamation-triangle" aria-hidden="true"></i> --}}
                        {{ $error }}
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                </div>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
        </div>
    @endif
   <div class="content-body">
        <section id="multiple-column-form">
            <div class="row justify-content-center">
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-body">
                            <form class="form" action="" method="post" onsubmit=" if(confirm('Are you sure you want to add leave?')){ return true }else{ return false }">
                                {{csrf_field()}}                        
                                    <div class="row">
                                        <input type="hidden" name="form_type" value="save_form"> 
                                        <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="basicSelect">Employee <span style="color:red;">*</span></label>
                                                <select class="select2 form-select" id="emp_id" name="emp_id" >
                                                <option value="">Select Employee</option>
                                                @foreach($aEmployee as $val)
                                                @php $selected = '';   @endphp
                                                @if ($id == $val->id)
                                                    @php $selected ='selected'; @endphp
                                                @endif
                                                    <option {{ $selected }} value="{{ $val->id }}">({{ $val->emp_id }} ) {{ $val->firstname }} {{ $val->middlename }}  {{ $val->lastname }}</option>
                                                @endforeach 
                                                </select>
                                            </div>
                                         </div>

                                         <div class="col-md-6 col-12">
                                            <div class="form-group">
                                                <label for="basicSelect">Date <span style="color:red;">*</span></label>
                                                <input id="sDate"  name="sDate" class="form-control flatpickr-basic flatpickr-input active" type="text" value="{{ $sDate }}" readonly="readonly">
                                            
                                            </div>
                                         </div>


                                        <hr class="m-1">
                                        <div class="col-12 text-center mt-1">
                                            <input type="submit" name="command" class="btn btn-primary mr-1" value="Save">
                                            <a href="{{ route('route_master.index') }}" class="btn btn-outline-secondary">Cancel</a>
                                        </div>
                                    </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>
   </div>
</section>
@endsection