<!DOCTYPE html>
<html>
    <meta http-equiv="Content-Language" content="mr">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <head>
  <title></title>
  <!-- <link href="https://fonts.googleapis.com/css?family=Hind&display=swap" rel="stylesheet"> -->
  <style>
      table,td,th,h5,h4,h3 {
          font-family: 'Open Sans', sans-serif;
      }

      .border-2x{
          border: 2px solid #000;
      }

      .border-1x{
          border: 1px solid #000;
      }
      .th-custom{
            text-align: center;
            font-family: 'Open Sans', sans-serif;
      }      
  </style>
</head>
<body>

<div class="container">          
  <table border="1" class="table table-bordered" width="100%"  style = "border-collapse: collapse; border-color: black;">
    <thead>
      <tr class="border-2x">
        <th colspan="5">{{ $sCompanyName }}</th>
      </tr> 
      <tr class="border-2x">
        <th colspan="5">Total Vehicle Weight Management Report</th>
      </tr>
      <?php 
           $from_month = date('M Y',strtotime($start_date));
           $to_month   = date('M Y',strtotime($end_date));
           
      ?>
      <tr class="border-2x">
        <th colspan="5">FOR THE MONTH OF <?php echo strtoupper($from_month); ?> To <?php echo strtoupper($to_month); ?> ( <?php echo date('d/m/Y',strtotime($start_date)); ?> To <?php echo date('d/m/Y',strtotime($end_date)); ?>)</th>
      </tr>  
      <tr class="border-2x">
        <th colspan="5">
        <?php 
            if($vehicle_type == 10){
                echo 'Door to Door';
            }elseif($vehicle_type == 4){
                echo 'Garden';
            }elseif($vehicle_type == 5){
                echo 'Debris';  
            }else{
                echo 'Door to Door / Garden / Debris';
            }
        ?>
        Garbage (Total) Weight Report</th>
      </tr>  
      <tr class="border-2x">
        <td class="text-center" style="font-family:freeserif; text-align:center;">अ.क्र.</td>
        <td class="text-center" style="font-family:freeserif; text-align:center;">दिनांक</td> 
        <td class="text-center" style="font-family:freeserif; text-align:center;">खतप्रकल्पवर आलेल्या व RFID नोंद असलेल्या घंटागाडीने संकलित केलेला केरकचरा वजन</td>
        <td class="text-center" style="font-family:freeserif; text-align:center;">खतप्रकल्पवर आलेल्या व RFID नोंद नसलेल्या घंटागाडीने संकलित केलेला केरकचरा वजन</td>
        <td class="text-center" style="font-family:freeserif; text-align:center;">एकुण वजन</td>
      </tr> 
    </thead>
    <tbody>
     <?php 
        if(!empty($records)){
          $i = 0;
          $grand_total_weight = 0;
          foreach($records as $aValue){ 
            $grand_total_weight += $aValue['net_weight'];
            $i++;
     ?>
      <tr  class="border-2x">
        <td style="text-align:center;"><?php echo $i; ?></td>
        <td style="text-align:center;"><?php echo date('d-M-Y',strtotime($aValue['date'])); ?></td> 
        <td style="text-align:center;"><?php echo $aValue['net_weight']; ?></td>
        <td style="text-align:center;">0</td>
        <td style="text-align:center;"><?php echo $aValue['net_weight']; ?></td>
      </tr>
    <?php } ?>
        <tr class="border-2x">
          <th style="text-align:center;"></td>
          <th style="text-align:center;"></th> 
          <th style="text-align:center;"><?php echo $grand_total_weight; ?></th>
          <th style="text-align:center;">0</th>
          <th style="text-align:center;"><?php echo $grand_total_weight; ?></td>
        </tr>
    <?php } ?>
    </tbody>
  </table>


  

  <div style="width:100%; text-align: right;  padding-top: 30px;" >
   <?php $image_path = public_path(); ?>
    <img style="margin-right: 90px;" src="<?php echo $image_path; ?>/weight_pdf/dummy_signature.png" height="50" width="50"/>
    
    <div style="text-align: right;">
      <h4 style="line-height: 0.1;">SOLID WASTE TECHNOLOGIST</h4>
      <h5 style="line-height: 0.1; margin-right: 20px;">SOLID WASTE MANAGEMENT</h5>
      <h5 style="line-height: 0.1; margin-right: 7px;">NASHIK MUNICIPAL CORPORATION</h5>
    </div>
  </div>
  

  
</div>

</body>
</html>
