<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Module extends Model
{
    use HasFactory;

    protected $table = 'admin_modules';

    protected $fillable = [
        'module_name',
        'module_caption',
        'module_link',
        'module_fa_icon',
        'sort_order',
        'active',
        'last_updated_date'
    ];

    public $timestamps = false;
}
