    <div class="content-body">
        <!-- Bordered table start -->
        <div class="row" id="table-bordered">
            <div class="col-12">
                <div class="card">
                    <div>
                        <h3>Vehicle Sweeping Coverage</h3>
                        <h3>Date : <?php echo $txt_date; ?></h3>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered">
                            <thead>
                                <tr>
                                    <th class="text-center">Sr.No</th>
                                    <th>Vehicle Number</th>
                                    <th>Vehicle Type</th>
                                    <th>Route Name</th>
                                    <th>Default Route Point</th>
                                    <th>Covered Route Point</th>
                                    <th>Route Covered Percentage</th>
                                </tr>
                            </thead>
                            <tbody class="text-left">
                                <?php 
                                if(!empty($records)){
                                 $i = 0;
                                 $pocket1 = array();
                                 foreach ($records as $value) {

                                    $i++; 

                                    $pocket1 = json_decode($value->pockets);

                                    $default_route_point = '';
                                    $covered_route_point = '';
                                    $route_covered_per = '';

                                    if(!empty($pocket1)){
                                        $default_route_point .= '<table width="100%">';
                                        $covered_route_point .= '<table width="100%">';
                                        $route_covered_per   .= '<table width="100%">';
                                        foreach ($pocket1 as $pocket1_val) {

                                            $pocket_name = $pocket1_val->pocket_name;
                                            $passes = $pocket1_val->passes;
                                            $checkpoints = count($pocket1_val->checkpoints);
                                            $points_val = $passes*$checkpoints;

                                            $default_route_point .= '<tr><td style="text-align: center;">'.$pocket_name.'</td><td style="text-align: center;">'.$points_val.'</td></tr>'; 


                                            $check_passes = array_sum(array_column($pocket1_val->checkpoints,'passes'));

                                            $covered_route_point .= '<tr><td style="text-align: center;">'.$check_passes.'</td></tr>';
                                            
                                            $route_covered_per_val = 0;
                                            if($points_val){
                                            $route_covered_per_val = ($check_passes / $points_val)*100;
                                            } 

                                            $route_covered_per .= '<tr><td style="text-align: center;">'.round($route_covered_per_val,2).' %</td></tr>';

                                        } 

                                        $route_covered_per   .= '</table>'; 
                                        $covered_route_point .= '</table>'; 
                                        $default_route_point .= '</table>'; 
                                    }

                                    ?>  
                                    <tr>
                                        <td class="text-center"><?php echo $i; ?></td>
                                        <td><?php echo $value->vehicle_number; ?></td>
                                        <td><?php echo $value->type; ?></td>
                                        <td><?php echo $value->route_name; ?></td>
                                        <td><?php echo $default_route_point; ?></td>
                                        <td><?php echo $covered_route_point; ?></td>
                                        <td><?php echo $route_covered_per; ?></td>
                                    </tr>
                                    <?php 
                                }
                            }else{
                                ?> 
                                <tr>
                                    <td colspan="8" style="text-align:center; color:red;">No Record Found</td>
                                </tr>
                                <?php 
                            }
                            ?> 
                        </tbody>
                    </table>
                </div>

            </div>

        </div>
    </div>
    <!-- Bordered table end -->
</div>

<?php 
    $filename = "vehicle_sweeping" . date("Y-m-d_H-i", time());
    header("Content-type: application/vnd.ms-excel");
    header("Content-disposition: attachment; filename=".$filename.".xls");
?>

