<?php $__env->startSection('title','Route Master List'); ?>
<!-- Dashboard Ecommerce start -->
<?php $__env->startSection('content'); ?>
<style>
   .custom-loader{
   width: -webkit-fill-available;
   height: 100%;
   position: absolute;
   display: flex;
   align-items: center;
   justify-content: center;
   z-index: 9;
   background-color: #00000042;
   border-radius: 0.428rem;
   }


   .gm-ui-hover-effect{
   display: none !important;
   }

   .gm-style-iw-c1{
   display: none !important;
   }

   .gm-style-iw-tc1{
   display: none !important;
   }

</style>

<div class="content-body">
   <!-- Bordered table start -->
   <div class="row" id="table-bordered">
      <div class="col-12">
         <div class="card mb-1">
            <div class="card-header w-100">
               <div class="content-header-left">
                  <div class="row breadcrumbs-top">
                     <div class="col-sm-12">
                        <h2 class="content-header-title float-left mb-0">View Route</h2>
                     </div>
                  </div>
               </div>
               <div class="d-flex justify-content-end breadcrumb-wrapper">
                  <nav aria-label="breadcrumb">
                     <ol class="breadcrumb mr-1">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                        <li class="breadcrumb-item">Routes Master</li>
                        <li class="breadcrumb-item active" aria-current="page">View Route</li>
                     </ol>
                  </nav>
               </div>
            </div>
         </div>
      </div>
   </div>
   <!-- Bordered table end -->
</div>
   <div class="content-body">
      <!-- Bordered table start -->
      <div class="row" id="table-bordered">
         <div class="col-12">
            <div class="card">

                  <!-- Start:loader -->
                  <div class="custom-loader" style="display: none;">
                     <img src="<?php echo e(asset('app-assets/images/pages/loader.gif')); ?>" alt="loading..." class="loading-image ajax-loader custom-loader" style="width: 80px;height: 80px;background: transparent;">
                  </div>
                  <!-- End:loader -->

               <div class="card custom-route-sidebar" style="display: none; position: absolute; width: 100%;height: 100%;background: #0000008a;z-index: 9;">
                <div class="row" style="justify-content: flex-end; height: 100%;">
                    <div class="col-sm-3 p-2" style="background-color: white; border-top-left-radius: 15px; border-bottom-left-radius: 15px;">
                        
                        <div class="d-flex justify-content-sm-end">
                            <a href="javascript:void(0)" onclick="custom_route_sidebar_close_fun();" class="close-btn">
                                <h4 class="m-0">
                                    <i class="fa fa-times" aria-hidden="true"></i>
                                </h4>    
                            </a>
                        </div>

                        <div class="pt-2 ">

                            <h2 style="color: #7367f0; font-weight: bold;">
                                Show Travelled Route On Map
                            </h2>

                             <div class="form-group m-0 py-1">
                                <select class="select2 form-select" id="sel_vehicle" name="sel_vehicle">
                                     <option value="">--- Select Vehicle ---</option>
                                     <?php 
                                       if(!empty($vehicle_master)){
                                        
                                         foreach ($vehicle_master as $vehicle) {
                                             // code...
                                        
                                     ?>
                                     <option value="<?php echo $vehicle->id ?>"><?php echo $vehicle->vehicle_number ?></option>
                                     <?php 
                                         }
                                       }
                                      ?>
                                </select>
                             </div>

                            <div class="form-group m-0 py-1">
                                <input type="text" class="form-control" name="txt_date" id="txt_date" value="<?php echo date('d-m-Y'); ?>" autocomplete="off" readonly>
                            </div>

                            <div class="form-group m-0 py-1">
                                <a href="javascript:void(0)" class="btn btn-primary custom-map-btn waves-effect waves-float waves-light" onclick="custom_route_vehicle_fun();"><span><i class="fa fa-search" aria-hidden="true"></i> Search</span></a>
                            </div>

                        </div>
                    </div>
                </div>
                </div>


               <?php if($message = Session::get('success')): ?>
               <div class="demo-spacing-0 mb-1">
                  <div class="alert alert-success alert-dismissible fade show" role="alert">
                     <div class="alert-body">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        <?php echo e($message); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                     </div>
                     <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                     <span aria-hidden="true">&times;</span>
                     </button>
                  </div>
               </div>
               <?php endif; ?>
 
                <div class="card-header w-100">
                    <div class="row w-100" >
                        <div class="col-sm-8">
                            <div class="row">
                                <div class= "col-sm-2">
                                    <a href="<?php echo e(route('route_master.index')); ?>" class="btn btn-outline-primary "><span>Back</span></a>   
                                </div>
                                <?php
                                 if(!empty($get_lat_lng)){
                                ?>
                                <div class= "col-sm-8" style="display: flex;gap: 15px;align-items: flex-end;">
                                    <h5>Route Name :</h5><span style="margin-bottom: 4px;"><?php echo $route_name; ?></span>
                                    <h5>Total KM :</h5><span style="margin-bottom: 4px;" id="total_km_id"></span>
                                    <h5>Total Number Of Pocket :</h5><span style="margin-bottom: 4px;" id="pocket_count_id"></span> 
                                </div>
                                <?php
                                 }
                                ?>
                            </div>
                        </div>
                        <div class="col-sm-4" style="display: flex;justify-content: flex-end;">
                            <div class="mx-1 mt-0 mb-0" style="display:none;" id="edit_update_pocket">
                              <button type="submit" name="btn_submit" class="btn btn-primary" onclick="remove_all_checkpoint()">Update Pocket</button>
                            </div> 
                            <div class="mx-1 mt-0 mb-0">
                              <a href="#" class="btn btn-primary custom-map-btn waves-effect waves-float waves-light" onclick="custom_route_sidebar_show_fun();"><span>Search Route</span></a>
                            </div> 
                        </div>
                    </div>
                </div>




               
               <div class="m-1">
                  <div style="width:100%;height:77vh;clear:both;" id="map"> </div>
                  <div id="marker-position"></div>
               </div>

               <div class="row m-1">

                  <input type="hidden" name="txt_lat_long" value="" id="txt_lat_long"/>&nbsp;
                  <input type="hidden" name="route_id" id="route_id" value="<?php echo e($iRouteId); ?>"/>&nbsp;
                  <button type="button" class="btn btn-primary custom-map-btn" id="save_pocket_btn" style="display: <?php echo e(!empty($polygon_array) ? 'none':'block'); ?>" onclick="validation();">Save Pocket</button>
               </div>

            </div>
         </div>

         <!-- Demand Generated -->
    <div class="modal fade" id="show_passes" role="dialog">
        <div class="modal-dialog">
               <!-- Modal content-->
            <div class="modal-content" style="width:400px; height: 400px;">
                <div class="modal-header">
                     <h4 class="text-left" style="text-align:left;"></h4>
                     <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                  <div class="modal-body">
                        <div class="col-md-8 col-12">
                            <input type="hidden" id="edit_id" class="form-control" name="edit_id" value=""/>
                            <input type="hidden" id="edit_pocket_id" class="form-control" name="edit_pocket_id" value=""/>
                            <input type="hidden" id="all_polygon_edit_hide" class="form-control" name="all_polygon_edit_hide" value=""/>
                           <!-- <h2 id="edit_pocket_id"></h2> -->
                            <div class="form-group">
                                <label><h5>Pocket Name<span style="color:red;">*</span></h5></label>
                                <input type="text" id="pocket_name" class="form-control" name="pocket_name" value=""/>
                            </div>
                            <div class="form-group">
                                <label><h5>Number Of Passes<span style="color:red;">*</span></h5></label>
                                <input type="text" id="number_of_pass_id" class="form-control" name="number_of_pass_id" value="" onkeyup="intOnly(this);"/>
                            </div>
                            <div class="form-group">
                                <label><h5>Total Distance In KM (Addition Of All Passes)<span style="color:red;">*</span></h5></label>
                                <input type="text" id="total_distance" class="form-control" name="total_distance" value=""/>
                            </div>
                        </div>
                        <div class="col-md-4 col-12" style="display:flex;">
                        <div class="col-12 text-left mt-1" id="btn_submit">
                            <button type="submit" name="btn_submit" class="btn btn-primary" onclick="save_pocket_fun()">Submit</button>
                        </div>
                        <div class="col-12 text-left mt-1" style="display:none;" id="btn_update">
                            <button type="submit" name="btn_update" class="btn btn-primary" onclick="update_pocket_fun()">Update</button>
                        </div>
                        <div class="col-12 text-left mt-1" style="display:none;" id="btn_delete">
                            <button type="submit" name="btn_delete" class="btn btn-danger" onclick="delete_pocket_fun()">Delete</button>
                        </div>
                        <div class="col-12 text-left mt-1" style="display:none;" id="btn_edit_pocket">
                            <button type="submit" name="btn_edit_pocket" class="btn btn-warning" onclick="edit_pocket_fun()" style="width:115px;">Edit Pocket</button>
                        </div>
                        </div>
                  </div>
            </div>
        </div>
    </div>

         
         <?php $google_map_key = config('custom.google_map_key'); ?>
         <script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
         <script src="https://maps.googleapis.com/maps/api/js?key=<?php echo $google_map_key; ?>&libraries=drawing"></script>
         <script>

            var all_polygon = [];
            var all_poly = [];
            var zoom_level = 15;
            function intOnly(i){
              if (i.value.length > 0) {
                i.value = i.value.replace(/[^\d ]+/g, '');
              }
          }

            var get_lat_lng = '<?php echo $get_lat_lng ?>';

            //console.log(get_lat_lng);

            if(get_lat_lng == ''){
              
              var aLatlng = new google.maps.LatLng(18.63313168078192, 73.79144077540306);

            }else{

                var coordinates3 = JSON.parse(get_lat_lng);

                var latlngArray = coordinates3.map(function(coord) {
                  return new google.maps.LatLng(coord.lat, coord.lng);
                });

                var aLatlng = latlngArray[0];
            }

            
           
            var myOptions = {
               zoom: 15,
               center: aLatlng,
               mapTypeId: google.maps.MapTypeId.ROADMAP,
            }
            
            var map; 
            var poly;
            var selected_polygon_edit;
            map = new google.maps.Map(document.getElementById("map"), myOptions); 
            
            function removeAllMarkers_and_polygon(){

                for(i=0; i<all_polygon.length;i++){
                  all_polygon[i].setMap(null);
                }

                for(i=0; i<all_poly.length;i++){
                  all_poly[i].setMap(null);
                }
            }

            function custom_route_vehicle_fun(){
                var sel_vehicle       = $('#sel_vehicle').val();
                var txt_date          = $('#txt_date').val();

                if(sel_vehicle == ''){
                  
                  alert('Please Select Vehicle Required');

                  return false;
                }
            
                if(txt_date == ''){
                  
                  alert('Please Select Date Required');
                  return false;
                }

                    $.ajax({
                      url: "<?php echo e(url('/route_master/get_travelled_route')); ?> ",
                      type: "post",
                      data:{"_token": "<?php echo e(csrf_token()); ?>","sel_vehicle":sel_vehicle,"txt_date":txt_date},
                      success: function(response){
                         
                         result = JSON.parse(response);
                            if(result != 2 && result.travelled_route.length > 0){ 
                                set_travelled_route_on_map(result);
                                $('.custom-route-sidebar').hide();
                            }else{
                                alert('Travelled route not found.');
                            }
                       },
                       error: function(){                 
                         alert("Error while request..");
                       }
                    }); 
                }

            function set_travelled_route_on_map(result){
                var lineSymbol = {
                    path: google.maps.SymbolPath.FORWARD_CLOSED_ARROW,
                    strokeColor: '#AF0000',
                    strokeWeight: 2,
                };
                
                const line = new google.maps.Polyline({
                    path: result.travelled_route,
                    geodesic: true,
                    strokeColor: "#FF0000",
                    strokeOpacity: 1.0,
                    strokeWeight: 2,
                    icons: [
                        {
                            icon: lineSymbol,
                            offset: "0%",
                        },
                        {
                            icon: lineSymbol,
                            offset: "100%",
                        }
                    ]
                    
                });

                line.setMap(map);
                
                animateCircle(line);

                set_center_and_zoom(result.map_center_lat, result.map_center_lng, zoom_level);
            }

            function set_center_and_zoom(lat, lng, zoom_level){
                const latlng  = { 'lat': lat, 'lng': lng };
                map.panTo(latlng);
                map.setZoom(zoom_level);
            }

            function animateCircle(line) {
                let count = 0;

                window.setInterval(() => {
                    count = (count + 1) % 200;

                    const icons = line.get("icons");

                    icons[0].offset = count / 2 + "%";
                    line.set("icons", icons);
                }, 30);
            }
            
            function show_pocket(res_pocket){

               $('#pocket_count_id').text(res_pocket.length);

               //console.log(res_pocket);

               var total_distance_count = 0;

                res_pocket.forEach((item) => {
                   
                    var pocket_points    = item.points;
                    var pocket_coords_id = item.id;
                    var route_id         = item.route_id;
                    var route_name       = item.route_name;
                    var pocket_name      = item.pocket_name;
                    var number_of_passes = item.number_of_passes;
                    var total_distance   = item.total_distance;

                    total_distance_count += item.total_distance;
                    
                    

                    //console.log(pocket_points);
                    pocket_points2 = JSON.parse(pocket_points);

                    
                    
                     poly = new google.maps.Polygon({
                        path:pocket_points2,
                        strokeColor: "#FF0000",
                        strokeOpacity: 0.8,
                        strokeWeight: 2,
                        fillColor: "#FF0000",
                        fillOpacity: 0.35,
                        id:pocket_coords_id,
                        pocket_name:pocket_name,
                        number_of_passes:number_of_passes,
                        total_distance:total_distance,
                    });
                    
                    poly.setMap(map); 
                    all_polygon.push(poly);

                    google.maps.event.addListener(poly, 'click', function() {
                        
                        selected_polygon_edit = this

                        edit_polygon_arr = [];

                        google.maps.event.addListener(this.getPath(), 'set_at', () => {
                            var len = this.getPath().getLength();

                            for (var i = 0; i < len; i++) {
                                edit_polygon_arr[i] = this.getPath().getAt(i);
                            }
                            $('#edit_pocket_id').val(JSON.stringify(edit_polygon_arr));
                            $('#edit_update_pocket').css('display','block');
                        });

                        google.maps.event.addListener(this.getPath(), 'insert_at', () => {
                            var len = this.getPath().getLength();

                            for (var i = 0; i < len; i++) {
                                edit_polygon_arr[i] = this.getPath().getAt(i);
                            }
                            $('#edit_pocket_id').val(JSON.stringify(edit_polygon_arr));
                            $('#edit_update_pocket').css('display','block');
                        });

                        var all_polygon_edit_hide = $('#all_polygon_edit_hide').val();
                        if(all_polygon_edit_hide == ''){

                            $("#show_passes").modal({backdrop: true});
                        }
                            $("#btn_submit").hide();
                            $("#btn_update").show();
                            $("#btn_delete").show();
                            $("#btn_edit_pocket").show();

                            $("#pocket_name").val(this.pocket_name);
                            $("#number_of_pass_id").val(this.number_of_passes);
                            $("#total_distance").val(this.total_distance);
                            $("#edit_id").val(this.id);

                    }); 


                });

                $('#total_km_id').text(total_distance_count.toFixed(2));
            }

            var marker;

            function show_pocket_checkpoints(res_checkpoints){

                res_checkpoints.forEach((item) => {

                    var latitude        = item.latitude;  
                    var longitude       = item.longitude; 
                    var checkpoint_id   = item.id; 
                    var route_id        = item.route_id; 

                    marker = new google.maps.Marker({
                      position: new google.maps.LatLng(latitude, longitude),
                      map: map
                    });

                    marker.set("id", checkpoint_id);

                    all_poly.push(marker);

                    google.maps.event.addListener(marker, 'click', function () {

                       //this.setMap(null);

                       if(confirm('Are You Sure Want To Delete marker')){

                          $.ajax({
                             url: "<?php echo e(url('/route_master/marker_delete')); ?> ",
                             type: "post",
                             data:{"_token": "<?php echo e(csrf_token()); ?>","id":this.get("id")},
                             success: function(response){
                                
                                if(response == 1){
                                   
                                  alert('Data Deleted Successfully');

                                  removeAllMarkers_and_polygon();
                                   get_pocket(route_id);
                                  
                                }else{
                    
                                  alert('Data Not Deleted Successfully');
                                }
                             },
                             error: function(){                 
                                alert("Error while request..");
                             }
                          }); 
                       }else{
                          return false;
                       }
                    });
                });
            }
            
            set_drawing_manager();

            var coordinates = [];
            var coordinates2 = [];
            var mydrawing = '';
            function set_drawing_manager(){
              drawingManager = new google.maps.drawing.DrawingManager({
                 //drawingMode: google.maps.drawing.OverlayType.POLYGON,
                 drawingControl: true,
                 drawingControlOptions: {
                    position: google.maps.ControlPosition.TOP_RIGHT,
                    drawingModes: [
                       google.maps.drawing.OverlayType.MARKER,
                       google.maps.drawing.OverlayType.POLYGON
                    ],
                 },
                 polygonOptions: {
                    //strokeWeight: 20,
                    //strokeColor: '#00ff00',
                    editable: true,
                 }
              });


             drawingManager.setMap(map);

             

               google.maps.event.addListener(drawingManager, 'markercomplete', function (marker) {
                   
                   var lat = marker.getPosition().lat();
                   var lng = marker.getPosition().lng();
                   var marker_object = new google.maps.LatLng(lat, lng);
                   all_poly_length = all_polygon.length;
                   var result = false;

                   for (var i = 0; i < all_poly_length; i++) {
                       result = google.maps.geometry.poly.containsLocation(
                           marker_object,
                           all_polygon[i]
                       );

                       if (result) {
                           var route_id         = $('#route_id').val();
                           var route_polygon_id = all_polygon[i].id;

                           if (lat != '' && lng != '' && route_id != '' && route_polygon_id != '') {

                               $.ajax({
                                   url: "<?php echo e(url('/route_master/marker_store')); ?> ",
                                   type: "post",
                                   data: {"_token": "<?php echo e(csrf_token()); ?>", "txt_lat": lat, "txt_lng": lng, "route_id": route_id,"route_polygon_id": route_polygon_id},
                                   success: function (response) {

                                       if (response == 1) {
                                           alert('Distance should be greater than 200');
                                           marker.setMap(null);
                                           return false;
                                       } else if (response == 2) {
                                           alert('Data Inserted Successfully');
                                       } else {
                                           alert('Data Not Inserted Successfully');
                                       }
                                   },
                                   error: function () {
                                       alert("Error while request..");
                                   }
                               });
                           }
                           break; // Exit the loop if a match is found
                       }
                   }

                   if (!result) {
                       alert('Checkpoint must be in polygon');
                       marker.setMap(null);
                       return false;
                   }
               });

              google.maps.event.addListener(drawingManager, 'polygoncomplete', function (event) {

                 google.maps.event.addListener(event.getPath(), 'insert_at', function () {
                     
                     var len = event.getPath().getLength();

                       for (var i = 0; i < len; i++) {
                           coordinates[i] = event.getPath().getAt(i);
                       }
                       
                       $('#txt_lat_long').val(JSON.stringify(coordinates));
                     
                 });



                 google.maps.event.addListener(event.getPath(), 'set_at', function () {
                     
                     var len = event.getPath().getLength();

                       for (var i = 0; i < len; i++) {
                           coordinates[i] = event.getPath().getAt(i);
                       }

                       $('#txt_lat_long').val(JSON.stringify(coordinates));
                 });
                 mydrawing = event;
             })
            
              google.maps.event.addListener(drawingManager, "overlaycomplete", function(event)
              {
                 
                 // empty field already exits by monu 29-12-2023
                    $('#edit_id').val('');
                    $('#edit_pocket_id').val('');
                    $('#pocket_name').val('');
                    $('#number_of_pass_id').val('');
                    $('#total_distance').val(''); 

                    

                
                    
                if (event.type !== google.maps.drawing.OverlayType.MARKER) {
                    var path = event.overlay.getPath();
                    
                       for (var i = 0 ; i < path.length ; i++) 
                       {
                          coordinates[i] = path.getAt(i);
                       }
                    //route_polygon = event.overlay;
                    drawingManager.setDrawingMode(null);
                    
                    $('#txt_lat_long').val(JSON.stringify(coordinates));
                 }
                 
              });

            }



            
            function validation(){
                
                var txt_lat_long       = $('#txt_lat_long').val();
                var route_id           = $('#route_id').val();

                $("#btn_submit").show();
                $("#btn_update").hide();
                $("#btn_delete").hide();
                $("#btn_edit_pocket").hide();

                if(txt_lat_long == ''){
                  
                  alert('Please Drow Pocket Required');

                  return false;
                }
            
                if(route_id == ''){
                  
                  alert('Please Route Id Required');
                  return false;
                }

                if(txt_lat_long != '' && route_id != ''){
                  
                 $("#show_passes").modal({backdrop: true});
               }

            }

            
            function save_pocket_fun(){
            
              var txt_lat_long       = $('#txt_lat_long').val();
              var route_id           = $('#route_id').val();
              var editable           = $('#editable').val();
              var number_of_pass_id  = $('#number_of_pass_id').val();
              var pocket_name        = $('#pocket_name').val();
              var total_distance     = $('#total_distance').val();


              if(pocket_name == ''){
                  
                  alert('Please Enter Pocket Name');

                  return false;
               }

              if(number_of_pass_id != ''){
                  
                 $('#show_passes').modal('hide');

                  $('#number_of_pass_id').val('');
               }

               if(number_of_pass_id == ''){
                  
                  alert('Please Enter Number Of Passes');

                  return false;
               }

               if(total_distance == ''){
                  
                  alert('Please Enter Total Distance in KM');

                  return false;
               }
            
               if(txt_lat_long == ''){
                  
                  alert('Please Drow Pocket Required');

                  return false;
               }
            
               if(route_id == ''){
                  
                  alert('Please Route Id Required');
                  return false;
               }
            
               if(txt_lat_long !='' && route_id !=''){
            
                 $('.custom-loader').show();
                 
                  $.ajax({
                     url: "<?php echo e(url('/route_master/pocket_store')); ?> ",
                     type: "post",
                     data:{"_token": "<?php echo e(csrf_token()); ?>","txt_lat_long":txt_lat_long,"route_id":route_id,"number_of_pass_id":number_of_pass_id,"pocket_name":pocket_name,"total_distance":total_distance},
                     success: function(response){
                        
                        if(response == 1){

                          alert('Data Inserted Successfully');

                          $('#txt_lat_long').val('');
            
                          $('.custom-loader').hide();
                          //location.reload();
                           mydrawing.setEditable(false);
                           removeAllMarkers_and_polygon();
                           get_pocket(route_id);
                        }else{
            
                          alert('Data Not Inserted Successfully');
                        }
                     },
                     error: function(){                 
                        alert("Error while request..");
                         $('.custom-loader').hide();
                     }
                  }); 
               }
            }

           
            get_pocket('<?php echo $iRouteId ?>');
           
            function get_pocket(route_id){

                if(route_id !=''){
                 
                  $.ajax({
                     url: "<?php echo e(url('/route_master/get_pocket_data')); ?> ",
                     type: "post",
                     data:{"_token": "<?php echo e(csrf_token()); ?>","route_id":route_id},
                     success: function(response){
                        
                        var res = JSON.parse(response);

                        if (res.pockets) {

                          show_pocket(res.pockets);
                        }

                        if (res.pocket_checkpoints) {
                          
                          show_pocket_checkpoints(res.pocket_checkpoints);
                        }
                        
                     },
                     error: function(){                 
                        alert("Error while request..");
                     }
                  }); 
               }
            }

            function update_pocket_fun(){

                var id = $('#edit_id').val();
                var pocket_name = $('#pocket_name').val();
                var number_of_pass = $('#number_of_pass_id').val();
                var total_distance = $('#total_distance').val();
                var route_id = $("#route_id").val();

                if(id !=''){
                
                    if(confirm('Are You Sure Want To Updated Pocket')){

                       //this.setMap(null);

                        $.ajax({
                          url: "<?php echo e(url('/route_master/pocket_update')); ?> ",
                          type: "post",
                          data:{"_token": "<?php echo e(csrf_token()); ?>","id":id,"pocket_name":pocket_name,"number_of_pass":number_of_pass,"total_distance":total_distance},
                          success: function(response){
                             
                             if(response == 1){
                               
                               alert('Data Updated Successfully');
                               removeAllMarkers_and_polygon();
                               get_pocket(route_id);
                               $('#show_passes').modal('hide');

                               // empty field already exits by monu 29-12-2023
                               $('#edit_id').val('');
                               $('#edit_pocket_id').val('');
                               $('#pocket_name').val('');
                               $('#number_of_pass_id').val('');
                               $('#total_distance').val(''); 
                             }else{
                                $('#show_passes').modal('hide');
                             }
                          },
                          error: function(){                 
                             alert("Error while request..");
                             $('#show_passes').modal('hide');
                          }
                       }); 
                       
                    }else{
                       return false;
                    }
                }
            }

            function delete_pocket_fun(){

                var id       = $('#edit_id').val();
                var route_id = $("#route_id").val();

                if(id !=''){
                
                    if(confirm('Are You Sure Want To Delete Pocket')){

                       //this.setMap(null);

                        $.ajax({
                          url: "<?php echo e(url('/route_master/pocket_delete')); ?> ",
                          type: "post",
                          data:{"_token": "<?php echo e(csrf_token()); ?>","id":id},
                          success: function(response){
                             
                             if(response == 1){
                               
                               alert('Data Deleted Successfully');
                               removeAllMarkers_and_polygon();
                               get_pocket(route_id);
                               $('#show_passes').modal('hide'); 
                             }else{
                 
                               alert('Data Not Deleted Successfully');
                               $('#show_passes').modal('hide');
                             }
                          },
                          error: function(){                 
                             alert("Error while request..");
                             $('#show_passes').modal('hide');
                          }
                       }); 
                       
                    }else{
                       return false;
                    }
                }
            }

            function edit_pocket_fun(){
                $('#show_passes').modal('hide');
                selected_polygon_edit.setEditable(true);
                 $('#all_polygon_edit_hide').val(1);


            }

            function remove_all_checkpoint(){


                var id              = $('#edit_id').val();
                var edit_pocket_id  = $('#edit_pocket_id').val();
                var route_id        = $("#route_id").val();

              if(confirm('Will Be Remove Check Point Of This Pocket')){
                     
                     $.ajax({
                          url: "<?php echo e(url('/route_master/all_checkpoint_delete')); ?> ",
                          type: "post",
                          data:{"_token": "<?php echo e(csrf_token()); ?>","id":id},
                          success: function(response){
                             
                             if(response == 1){
                               
                               alert('Data Deleted Successfully');
                               // removeAllMarkers_and_polygon();
                               // get_pocket(route_id);
                             }else{
                 
                               alert('Data Not Deleted Successfully');
                             }
                          },
                          error: function(){                 
                             alert("Error while request..");
                          }
                       }); 

              }else{
                  return false;
               }

               edit_update_pocket_fun(id,edit_pocket_id,route_id);
            }

            function edit_update_pocket_fun(id,edit_pocket_id,route_id){

                if(edit_pocket_id ==''){
                 
                 alert('Please Select Pocket Required');
                 return false;
                }

                $.ajax({
                      url: "<?php echo e(url('/route_master/pocket_edit_update')); ?> ",
                      type: "post",
                      data:{"_token": "<?php echo e(csrf_token()); ?>","id":id,"edit_pocket_id":edit_pocket_id},
                      success: function(response){
                         
                         if(response == 1){
                           
                           alert('Data Updated Successfully');
                           removeAllMarkers_and_polygon();
                           get_pocket(route_id);
                           $('#all_polygon_edit_hide').val('');
                           $('#edit_update_pocket').css('display','none');
                         }else{
                            alert('Data Not Updated Successfully');
                         }
                      },
                      error: function(){                 
                         alert("Error while request..");
                         $('#show_passes').modal('hide');
                      }
                   });
            }
         </script>
      </div>
   </div>
    
    <script src=<?php echo e(asset('assets/js/linedraw.js')); ?>></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>

   <script>

       $("#txt_date").datepicker({
            changeMonth: true,
            changeYear: true,
            dateFormat: 'dd-mm-yy'
        });

       function custom_route_sidebar_show_fun()
       {
          $('.custom-route-sidebar').show();
       }

       function custom_route_sidebar_close_fun()
       {
          $('.custom-route-sidebar').hide();
       }
   </script>


<!-- Bordered table end -->
<?php $__env->stopSection(); ?> 



<?php echo $__env->make('layout.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/pcmcmechanicalsw/public_html/ncap.pcmcmechanicalsweeper.com/resources/views/route_master/view_route.blade.php ENDPATH**/ ?>